System.Web 2.0.0.0 System.Web.UI.HierarchicalDataSourceView

The control can present its underlying data in both tabular and hierarchical format to Web server controls that bind to it. The is used by controls developers, but not page developers or in page code.

Controls such as or use the to bind to site map data and present it in list form, while controls that derive from the class, such as , bind to sitemap data and present it in hierarchical form.

If a data-bound control calls the method of the , a is created by the data source. If a control calls the method, a is created. The class is provided for Web server controls that derive from and bind to lists and tabular data, while the is provided for Web server controls that derive from and bind to hierarchical data.

Like all helper objects, the defines the operations that the data source can perform with the underlying data. Because the class only overrides the method, the associated control does not support sort expressions or insert, delete, or update operations.

Represents a data view on a site map node or collection of nodes for a control.

- Constructor

  The class maintains an internal collection of nodes. When the constructor is used, the specified node is added to the collection. A call to the method will return this collection of one element.

  Initializes a new instance of the class, adding the specified node to the collection that the data source view maintains.

  A that the data source view represents.
  2.0.0.0
- Constructor

  The class maintains an internal collection of nodes. When the constructor is used, the specified collection becomes the one the data source view maintains.

  Initializes a new instance of the class, setting the specified collection to the collection that the data source view maintains.

  A that the data source view represents.
  2.0.0.0
- Method
  System.Web.UI.IHierarchicalEnumerable

  The method returns an collection of nodes. You can call the method to get an object and iterate through this collection.

  Gets the collection of the objects that represents the site navigation structure for the current user.

  An collection of site map nodes.

  2.0.0.0